/**************************************************************************************************************
 *
 * Datei : defines.h
 *
 * Autoren : Finger
 *
 *************************************************************************************************************/

// Standard-defines
#define ON                  1
#define OFF                 0

#define FALSE               OFF
#define TRUE                ON

#define AN                  ON
#define AUS                 OFF

#define Bit0                1
#define Bit1                2
#define Bit2                4
#define Bit3                8
#define Bit4                16
#define Bit5                32
#define Bit6                64
#define Bit7                128

// Steuerzeichen
#define CR  0x0d
#define LF  0x0a

//-------------------------
// Allgemeine Pufferdaten
//-------------------------
#define Buflen                  40

// Relais
#define LichtAus()  PORTB &= ~0b00000001
#define LichtAn()   PORTB |=  0b00000001

// Zeiten
#define Einschaltzeit   600             // 10 Minuten Einschaltzeit

// Lichtmessung
#define LichtPufferGroesse    30
#define Dunkelschwelle        350

// Statutenten und Onkels
#define Jetztissesdaserstemalan 	 FALSE
#define Nedatwarnochnichamleuctentun TRUE

